Name: 	 	gpac
Summary: 	MPEG-4 multimedia framework
Version: 	0.4.4_20080811
Release: 	1
Source:		%{name}.tar.bz2
URL:		http://gpac.sourceforge.net/
License:	LGPL
Group:		Libraries
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	js-devel

%description
GPAC is a multimedia framework based on the MPEG-4 Systems standard developed
from scratch in ANSI C.  The original development goal is to provide a clean
(a.k.a. readable by as many people as possible), small and flexible
alternative to the MPEG-4 Systems reference software.

The natural evolution has been the integration of recent multimedia standards
(SVG/SMIL, VRML, X3D, SWF, 3GPP(2) tools, etc) into a single framework.
VRML97 and a good amount of the X3D standard have already been integrated
into GPAC, as well as some SVG support and experimental Macromedia Flash
support.

The current GPAC release (0.4.4) already covers a very large part of the
MPEG-4 standard, and has some good support for 3GPP and VRML/X3D, and
features what can probably be seen as the most advanced and robust 2D MPEG-4
Player available worldwide, as well as a decent 3D player.

GPAC also features MPEG-4 Systems encoders/multiplexers, publishing tools for
content distribution for MP4 and 3GPP(2) files and many tools for scene
descriptions (MPEG4<->VRML<->X3D converters, SWF->MPEG-4, etc...).

This package is in plf because it incorporates MPEG-4 technology, covered by
software patents.

cvs -z3 -d:pserver:anonymous@gpac.cvs.sourceforge.net:/cvsroot/gpac co -P gpac
 
%package	devel
Summary:	Static library from gpac
Group:		Development

%description	devel
Static library from gpac.

%prep
%setup -q -n %name
chmod 755 configure
# lib64 compatible
perl -p -i -e 's/lGLU/lGLU\ \-L\/usr\/X11R6\/%{_lib}/g' configure
# SHH!
perl -p -i -e 's/Wall/w/g' `find -name Makefile`

%build
./configure \
    --prefix=%buildroot%{_prefix} \
    --X11-libs=/usr/X11R6/%{_lib} \
    --enable-ffmpeg \
    --use-ffmpeg=local \
    --enable-wx \
    --enable-svg \
    --use-js=yes
# parallel make fails
make OPTFLAGS="%optflags -fPIC" CPPFLAGS="%optflags -fPIC"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
make install-lib
chown -R root.root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/%name
%{_bindir}
%{_mandir}
%{_datadir}

%files devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_includedir}

